:root {
    --primary-color: #333;
    --secondary-color: #444;
    --overlay-color: rgba(0, 0, 0, 0.7);
  }
  
 * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  body {
    font-family: 'Chilanka', cursive;
    line-height: 1.6;
    color: #333;
    font-size: 1.1rem;

  }

  h1,h2,h3,h4 {
      line-height: 1.3;
  }
  
  a {
      color: var(--secondary-color);
      text-decoration: none;
  }

  ul {
    list-style: none;
  }

  img {
       width: 100%;
  }

   .navbar {
    font-size: 2rem;
    margin-bottom: 0;
    padding-top: 0.3rem;
    padding-bottom: 1.3rem;
    position: sticky;
    top: 0; 
    z-index: 1;
    background-color: white;
  }

  .navbar ul {
    justify-self: flex-end;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .navbar a {
    padding: 0 1.5rem;
  }
  
  .navbar a:hover {
    color: yellowgreen;
  }

  .intro {
    margin: 2rem 0;
  }
 
  .intro .container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 3rem;
    align-items: center;
    justify-content: center;
  }
 
  .intro .container #second {
      grid-column: 2/4;
     }

  .intro h1 {
    text-align: center;  
    font-size: 4rem;
    color: var(--primary-color);
  }
  
  .intro p {
    margin: 1rem 0;
  }

  .gallery {
    margin-left: 2rem;
    margin-right: 2rem;
  }
  
  .gallery  img,
  .gallery  a {
  width: 100%;
  height: 100%;
  }

 .photo {
  position: relative;
  }

.photo p {
  position: absolute; 
  text-align: center;
  bottom: 0; 
  background: rgb(0, 0, 0); 
  background: rgba(0, 0, 0, 0.3); 
  color: #f1f1f1; 
  width: 100%; 
  padding: 20px; 
}

.gallery h2 {
    text-align: center;  
    font-size: 3rem;
    padding: 2;
    margin-top: 2rem;
    color: var(--primary-color);
    
}

.gallery .cadres {
    display:grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 2rem;
}

.gallery .cadres #first{
  grid-row: 1/3;
  grid-column: 1/3;
}

.gallery .cadres #sixth{
  grid-column: 1/3;
  align-items: center;  
  max-width: 50%;
}

.gallery .paniers {
  display:grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 2rem;
}

.gallery .decors {
  display:grid;
  grid-template-columns: 66% 33%;
  grid-gap: 2rem;
}

.gallery .decors #first{
   height: 80%;
}

.gallery .decors #third{
  grid-row: 1/3;
  grid-column: 2/3;
}

.gallery .autres {
  display:grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 2rem;
}
 .gallery .end {
  display:grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 2rem;
  }

 .gallery .end .photo {
  grid-column: 2/3;
  }

.h2 {
  text-align: center;  
  font-size: 3rem;
  padding: 2;
  color: var(--primary-color);
  }

/* media queries */

@media  (max-width: 1025px)  {
  p {
    font-size: 1rem;
  }
 
  .navbar {
    font-size: 1.5rem;
    padding-top: 0.3rem;
    padding-bottom: 1.3rem;
  }

  .intro h1 {
    font-size:  3rem;
  }

  .gallery h2 {
    font-size: 2rem;
  }

  h2 {
    font-size: 2rem;
  }
}

@media (max-width: 900px) {

  .navbar {
    font-size: 1.2rem;
    padding-top: 0.3rem;
    padding-bottom: 1.3rem;
  }

  .navbar a {
    padding: 0 1rem;
  }
}

@media (max-width: 700px) {

  .intro h1 {
    text-align: center;  
    font-size: 1.8rem;
    color: var(--primary-color);
  }

  .intro .container {
    grid-template-columns: 1fr;
  }

  .intro .container #second {
    grid-column: 1/1;
    margin: 2rem;

}
  .navbar {
   display: none;
    } 

    .photo p {
     font-size: .8rem;
    }

    .gallery .cadres {
      grid-template-columns: 1fr;
  }
  
    .gallery .cadres #first{
      grid-column: 1/1;
      grid-row:1/2;
    }
  
  .gallery .paniers {
    grid-template-columns: 1fr;
  }
  .gallery .decors {
    grid-template-columns: 1fr;
  }
  
    .gallery .decors #third{
    grid-column: 1/1;
    grid-row: 3/4;
  }

  .gallery .autres {
    grid-template-columns: 1fr;
  }
.gallery .end {
  grid-template-columns: 1fr;
}

 .gallery .end .photo {
grid-column: 1/1;
 }
}
